///////////////////////////////////////////////////////////////////////////////
// TEDSoft GmbH Bonn 2002 -- tool source code                                //
// Alle Rechte vorbehalten                                                   //
// All rights reserved -- unless granted by written agreement.               //
// To remove this notice is not permitted.                                   //
//                                                                           //
//  www  : www.tedsoft.de                                                    //
//  mail : info@tedsoft.de                                                   //
///////////////////////////////////////////////////////////////////////////////

{$A+,B-,G-,H+,I+,J-,M-,P-,T+,V+,X+,Z1}  // Standard-Settings neuer Code

unit uTEDVersionRegister;

interface

{$include TEDVersionInfo.inc}

uses
  Classes
  {$ifdef LEVEL5}, DsgnIntf{$endif}
  {$ifdef LEVEL6}, DesignIntf{$endif};

procedure Register;

implementation

{$R uTEDVersionLabel.dcr}

uses
  uTEDVersionInfo, uTEDVersionLabel, uTEDVersionLabelEditor;

procedure Register;
begin
  RegisterPropertyEditor (TypeInfo (TVersionInfoString),
                          TTEDVersionLabel,
                          'VersionInfo',
                          TTEDVersionLabelEditor);
  RegisterComponents ('TEDSoft', [TTEDVersionLabel]);
end;


end.
